> For the complete documentation index, see [llms.txt](https://docs.lime-pay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/ghana.md).

# Ghana

## Required fields

| Field                  | Format                                                                                                                             | Description                                                                                |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                             | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                             | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                           | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/knowledge-base/countries-specifications.md#documents-validations)                                      | Beneficiary's document ID                                                                  |
| `country`              | `GH`                                                                                                                               | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `GHS` / `USD`                                                                                                                      | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                       | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                           | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                           | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name | Bank code | Format  | Example               |
| --------- | :-------: | ------- | --------------------- |
| All       |     -     | Numeric | 123456789, 9283749293 |

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

{% tabs %}
{% tab title="Bank Transfer" %}

```json
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id":"30000000001",
    "country": "GH",
    "currency": "GHS",
    "amount": 1000,
    "document_id": "01716001340",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "bank_account": "123456789",
    "bank_branch": "1",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Mobile Money" %}

| Bank         | Bank Code | Details                                                                          |
| ------------ | --------- | -------------------------------------------------------------------------------- |
| Mobile Money | 10001     | `bank_account`  must be empty.  The field `document_id` and `phone` must be sent |

```
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "GH",
    "amount": 100,
    "currency": "GHS",
    "bank_account": "",
    "bank_code": "10001",
    "phone": "256700000000",
    "document_id": "89237423",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}
{% endtabs %}

## Bank Codes

| Bank                                          | Code     |
| --------------------------------------------- | -------- |
| CENTRAL SECURITIES DEPOSITORY LIMITED         | 014      |
| ECOBANK GHANA                                 | 017      |
| TAKORADI INTERNATIONAL COMPANY                | 049      |
| UNITED BANK FOR AFRICA LTD                    | 050      |
| MTN Ghana                                     | 10000    |
| ATL Ghana                                     | 10003    |
| Telecel                                       | 10007    |
| Airtel Ghana                                  | 10006    |
| AirtelTigo                                    | 10101    |
| First National Bank Ghana Limited             | 11276282 |
| Omnibank Ghana Limited                        | 11299458 |
| GHL Bank Ltd                                  | 11319374 |
| Consolidated Bank Ghana Limited"              | 11350352 |
| Agricultural Development Bank Limited         | 20313200 |
| Bank of Ghana                                 | 20313400 |
| Barclays Bank of Ghana Limited                | 20313500 |
| GCB Bank Limited                              | 20313600 |
| Universal Merchant Bank                       | 20313800 |
| National Investment Bank Ltd                  | 20313900 |
| Societe Generale Ghana Limited                | 20314100 |
| Standard Chartered Bank Ghana Limited         | 20314200 |
| Cal Bank Limited                              | 22031960 |
| Arb Apex Bank Limited                         | 25544088 |
| Guaranty Trust Bank (Ghana) Ltd               | 25562284 |
| Fidelity Bank Ghana Ltd                       | 25570554 |
| Bsic Ghana Ltd                                | 25785380 |
| Bank of Baroda (Ghana) Limited                | 25892776 |
| Access Bank (Ghana) PLC                       | 26153374 |
| Social Security And National Insurance Trust  | 26545578 |
| Energy Bank Ghana Limited                     | 26675842 |
| Ghana Revenue Authority                       | 26699422 |
| Controller And Accountant-GeneralS Department | 26935088 |
| Premium Bank Ghana Limited                    | 27451510 |
| Prudential Bank Ltd                           | 60003190 |
| First Atlantic Bank Ltd                       | 60003191 |
| FBN Bank (Ghana) Limited                      | 60003193 |
| Ghana International Bank plc                  | 96788653 |
| Republic Bank (Ghana) Ltd                     | 96793657 |
| Stanbic Bank Ghana Limited                    | 97151844 |
| Bank of Africa - Ghana                        | 97155860 |
| Zenith Bank (Ghana) Limited                   | 98357706 |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/ghana.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
